import { useEffect, useRef, useState } from 'react';
export function useTimedToggle() {
    var _a = useState(false), value = _a[0], setValue = _a[1];
    var timeoutRef = useRef();
    function toggleValue(delay) {
        clearTimeout(timeoutRef.current);
        setValue(true);
        timeoutRef.current = window.setTimeout(function () { return setValue(false); }, delay);
    }
    useEffect(function () { return function () { return clearTimeout(timeoutRef.current); }; }, []);
    return [value, toggleValue];
}
